Bug 1027022 - It is too easy to remove dracut
It is too easy to remove dracut
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 18:10 EST by Marcos Mello
Modified: 2014-03-16 23:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 12:06:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcos Mello 2013-11-05 18:10:08 EST
When uninstalling some packages (yeah, big cleanup) with clean_requirements_on_remove=1, dracut got uninstalled too.

Here is the yum log:

Oct 30 21:44:53 Erased: abrt-desktop-2.1.8-1.fc19.x86_64
Oct 30 21:44:54 Erased: abrt-addon-ccpp-2.1.8-1.fc19.x86_64
Oct 30 21:44:55 Erased: abrt-gui-2.1.8-1.fc19.x86_64
Oct 30 21:45:00 Erased: abrt-addon-vmcore-2.1.8-1.fc19.x86_64
Oct 30 21:45:01 Erased: gnome-abrt-0.3.2-1.fc19.x86_64
Oct 30 21:45:03 Erased: abrt-addon-pstoreoops-2.1.8-1.fc19.x86_64
Oct 30 21:45:03 Erased: abrt-addon-kerneloops-2.1.8-1.fc19.x86_64
Oct 30 21:45:04 Erased: abrt-python-2.1.8-1.fc19.x86_64
Oct 30 21:45:05 Erased: kexec-tools-2.0.4-11.fc19.x86_64
Oct 30 21:45:06 Erased: abrt-dbus-2.1.8-1.fc19.x86_64
Oct 30 21:45:07 Erased: abrt-addon-xorg-2.1.8-1.fc19.x86_64
Oct 30 21:45:07 Erased: sendmail-8.14.7-1.fc19.x86_64
Oct 30 21:45:08 Erased: open-vm-tools-desktop-9.2.3-10.fc19.x86_64
Oct 30 21:45:09 Erased: dracut-network-029-2.fc19.x86_64
Oct 30 21:45:09 Erased: plymouth-scripts-0.8.9-0.2013.03.26.0.fc19.x86_64
Oct 30 21:45:10 Erased: dracut-029-2.fc19.x86_64
Oct 30 21:45:11 Erased: open-vm-tools-9.2.3-10.fc19.x86_64
Oct 30 21:45:12 Erased: crash-6.1.4-1.fc19.x86_64
Oct 30 21:45:13 Erased: abrt-retrace-client-2.1.8-1.fc19.x86_64
Oct 30 21:45:13 Erased: abrt-addon-python-2.1.8-1.fc19.x86_64
Oct 30 21:45:16 Erased: abrt-plugin-bodhi-2.1.8-1.fc19.x86_64
Oct 30 21:45:17 Erased: abrt-2.1.8-1.fc19.x86_64
Oct 30 21:45:18 Erased: NetworkManager-openconnect-0.9.7.0-2.git20120918.fc19.x86_64
Oct 30 21:45:19 Erased: python-inotify-0.9.4-2.fc19.noarch
Oct 30 21:45:20 Erased: libreport-fedora-2.1.8-1.fc19.x86_64
Oct 30 21:45:21 Erased: openconnect-5.01-1.fc19.x86_64
Oct 30 21:45:22 Erased: trousers-0.3.10-3.fc19.x86_64
Oct 30 21:45:24 Erased: abrt-libs-2.1.8-1.fc19.x86_64
Oct 30 21:45:25 Erased: binutils-2.23.52.0.1-9.fc19.x86_64
Oct 30 21:45:26 Erased: libdnet-1.12-11.fc19.x86_64
Oct 30 21:45:26 Erased: 1:hardlink-1.0-17.fc19.x86_64
Oct 30 21:45:27 Erased: kpartx-0.4.9-51.fc19.x86_64
Oct 30 21:45:27 Erased: gtkmm24-2.24.2-6.fc19.x86_64
Oct 30 21:45:28 Erased: hesiod-3.2.1-1.fc19.x86_64
Oct 30 21:45:29 Erased: procmail-3.22-32.fc19.x86_64
Oct 30 21:45:30 Erased: libreport-plugin-kerneloops-2.1.8-1.fc19.x86_64
Oct 30 21:45:30 Erased: abrt-gui-libs-2.1.8-1.fc19.x86_64
Oct 30 21:45:31 Erased: elfutils-0.156-5.fc19.x86_64
Oct 30 21:45:31 Erased: gdb-7.6.1-42.fc19.x86_64
Oct 30 21:45:32 Erased: libreport-plugin-bugzilla-2.1.8-1.fc19.x86_64
Oct 30 21:45:33 Erased: libreport-plugin-logger-2.1.8-1.fc19.x86_64
Oct 30 21:45:33 Erased: libreport-plugin-ureport-2.1.8-1.fc19.x86_64
Oct 30 21:45:34 Erased: spice-vdagent-0.14.0-5.fc19.x86_64
Oct 30 21:45:35 Erased: 2:mcelog-1.0-0.7.6e4e2a00.fc19.x86_64
Oct 30 21:45:35 Erased: at-3.1.13-12.fc19.x86_64
Oct 30 21:45:36 Erased: 2:irqbalance-1.0.5-4.fc19.x86_64
Oct 30 21:46:16 Erased: gnome-boxes-3.8.4-1.fc19.x86_64
Oct 30 21:46:19 Erased: libvirt-daemon-kvm-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:19 Erased: libvirt-gobject-0.1.6-1.fc19.x86_64
Oct 30 21:46:20 Erased: 2:qemu-kvm-1.4.2-12.fc19.x86_64
Oct 30 21:46:20 Erased: 2:qemu-system-x86-1.4.2-12.fc19.x86_64
Oct 30 21:46:21 Erased: libvirt-daemon-driver-qemu-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:21 Erased: libvirt-daemon-driver-interface-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:21 Erased: libvirt-daemon-driver-network-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:22 Erased: libvirt-glib-0.1.6-1.fc19.x86_64
Oct 30 21:46:22 Erased: libvirt-daemon-driver-nodedev-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:23 Erased: libvirt-daemon-driver-nwfilter-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:23 Erased: libvirt-daemon-driver-secret-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:24 Erased: libvirt-daemon-driver-storage-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:24 Erased: ipxe-roms-qemu-20130517-2.gitc4bce43.fc19.noarch
Oct 30 21:46:25 Erased: seabios-bin-1.7.2.2-2.fc19.noarch
Oct 30 21:46:25 Erased: seavgabios-bin-1.7.2.2-2.fc19.noarch
Oct 30 21:46:26 Erased: 1:sgabios-bin-0.20110622svn-5.fc19.noarch
Oct 30 21:46:27 Erased: libvirt-daemon-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:27 Erased: libvirt-client-1.0.5.6-3.fc19.x86_64
Oct 30 21:46:29 Erased: lvm2-2.02.98-12.fc19.x86_64
Oct 30 21:46:30 Erased: 1:nfs-utils-1.2.8-6.0.fc19.x86_64
Oct 30 21:46:31 Erased: lvm2-libs-2.02.98-12.fc19.x86_64
Oct 30 21:46:32 Erased: sheepdog-0.3.0-4.fc19.x86_64
Oct 30 21:46:32 Erased: corosync-2.3.2-1.fc19.x86_64
Oct 30 21:46:33 Erased: corosynclib-2.3.2-1.fc19.x86_64
Oct 30 21:46:34 Erased: librdmacm-1.0.17-1.fc19.x86_64
Oct 30 21:46:34 Erased: device-mapper-event-1.02.77-12.fc19.x86_64
Oct 30 21:46:35 Erased: rpcbind-0.2.1-0.fc19.x86_64
Oct 30 21:46:36 Erased: gnutls-utils-3.1.15-1.fc19.x86_64
Oct 30 21:46:37 Erased: netcf-libs-0.2.3-4.fc19.x86_64
Oct 30 21:46:38 Erased: augeas-libs-1.1.0-1.fc19.x86_64
Oct 30 21:46:39 Erased: gnutls-dane-3.1.15-1.fc19.x86_64
Oct 30 21:46:39 Erased: libtirpc-0.2.3-3.fc19.x86_64
Oct 30 21:46:40 Erased: device-mapper-event-libs-1.02.77-12.fc19.x86_64
Oct 30 21:46:40 Erased: libibverbs-1.1.7-3.fc19.x86_64
Oct 30 21:46:41 Erased: libqb-0.14.4-2.fc19.x86_64
Oct 30 21:46:42 Erased: libnfsidmap-0.25-7.fc19.x86_64
Oct 30 21:46:43 Erased: device-mapper-persistent-data-0.2.7-1.fc19.x86_64
Oct 30 21:46:43 Erased: cyrus-sasl-2.1.26-9.fc19.x86_64
Oct 30 21:46:44 Erased: libwsman1-2.3.6-6.fc19.x86_64
Oct 30 21:46:47 Erased: 2:qemu-img-1.4.2-12.fc19.x86_64
Oct 30 21:46:48 Erased: 1:dmidecode-2.12-3.fc19.x86_64
Oct 30 21:46:48 Erased: glusterfs-fuse-3.4.1-1.fc19.x86_64
Oct 30 21:46:49 Erased: iscsi-initiator-utils-6.2.0.873-7.fc19.x86_64
Oct 30 21:46:50 Erased: lzop-1.03-8.fc19.x86_64
Oct 30 21:46:50 Erased: numad-0.5-10.20121130git.fc19.x86_64
Oct 30 21:46:51 Erased: radvd-1.9.2-3.fc19.x86_64
Oct 30 21:46:52 Erased: SDL-1.2.15-11.fc19.x86_64
Oct 30 21:46:53 Erased: libseccomp-2.1.0-0.fc19.x86_64
Oct 30 21:46:54 Erased: spice-server-0.12.4-2.fc19.x86_64
Oct 30 21:46:54 Erased: 2:qemu-common-1.4.2-12.fc19.x86_64
Oct 30 21:46:55 Erased: libvirt-gconfig-0.1.6-1.fc19.x86_64
Oct 30 21:46:56 Erased: fuseiso-20070708-13.fc19.x86_64
Oct 30 21:46:56 Erased: libgovirt-0.1.0-1.fc19.x86_64
Oct 30 21:47:04 Erased: rsyslog-7.2.6-1.fc19.x86_64
Oct 30 21:47:05 Erased: liblognorm-0.3.5-1.fc19.x86_64
Oct 30 21:47:05 Erased: libee-0.4.1-4.fc19.x86_64
Oct 30 21:47:06 Erased: libestr-0.1.5-1.fc19.x86_64

I do not know what can be done, but it is no good that a vital component can be removed so easily.
Comment 1 Harald Hoyer 2013-11-06 04:28:28 EST
Well, you can even remove the kernel package.
Comment 2 Kay Sievers 2013-11-06 12:06:09 EST
Which is the right to do. Dracut or the kernel are optional and should
stay that way. Virtualization and containers need to work that way. Nothing
should pull them unconditionally in.

The above  log with deleting all random stuff just makes not much sense,
and is not really surprising; it just hurts when you stick a fork in your eye.
Comment 3 Marcos Mello 2013-11-06 13:05:41 EST
Right. I missed the virtualization case. Thanks Kay.

Note You need to log in before you can comment on or make changes to this bug.